ru.bitel.bgbilling.modules.yamoney.server.bean

## Class YaRequest

- java.lang.Object
- - ru.bitel.bgbilling.modules.yamoney.server.bean.YaRequest

-     public class YaRequest
      extends java.lang.Object

  Реквест в экзекутер от платежного шлюза. И для экшена "проверка заказа" и для "уведомление об оплате". Разбираются вначале все значения сюда, потом обрабатываются.
  Author:
    dimon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YaRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.lang.String` | `getCustomerNumber()`
    `long` | `getInvoiceId()`
    `java.lang.String` | `getMd5()`
    `java.util.Date` | `getOrderCreatedDatetime()`
    `ru.bitel.common.util.BGMoney` | `getOrderSumAmount()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank` | `getOrderSumBankPaycash()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode` | `getOrderSumCurrencyPaycash()`
    `java.util.Date` | `getPaymentDateTime()`
    `java.lang.String` | `getPaymentPayerCode()`
    `java.lang.String` | `getPaymentType()`
    `java.lang.String` | `getPgpSignature()`
    `java.lang.String` | `getRawRequest()`
    `java.util.Date` | `getRequestDatetime()`
    `long` | `getShopArticleId()`
    `long` | `getShopId()`
    `ru.bitel.common.util.BGMoney` | `getShopSumAmount()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank` | `getShopSumBankPaycash()`
    `ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode` | `getShopSumCurrencyPaycash()`
    `boolean` | `isOrderIsPaid()`
    `void` | `setAction(java.lang.String action)`
    `void` | `setCustomerNumber(java.lang.String customerNumber)`
    `void` | `setInvoiceId(long invoiceId)`
    `void` | `setMd5(java.lang.String md5)`
    `void` | `setOrderCreatedDatetime(java.util.Date orderCreatedDatetime)`
    `void` | `setOrderIsPaid(boolean orderIsPaid)`
    `void` | `setOrderSumAmount(ru.bitel.common.util.BGMoney orderSumAmount)`
    `void` | `setOrderSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank orderSumBankPaycash)`
    `void` | `setOrderSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode orderSumCurrencyPaycash)`
    `void` | `setPaymentDateTime(java.util.Date paymentDateTime)`
    `void` | `setPaymentPayerCode(java.lang.String paymentPayerCode)`
    `void` | `setPaymentType(java.lang.String paymentType)`
    `void` | `setPgpSignature(java.lang.String pgpSignature)`
    `void` | `setRawRequest(java.lang.String rawRequest)`
    `void` | `setRequestDatetime(java.util.Date requestDatetime)`
    `void` | `setShopArticleId(long shopArticleId)`
    `void` | `setShopId(long shopId)`
    `void` | `setShopSumAmount(ru.bitel.common.util.BGMoney shopSumAmount)`
    `void` | `setShopSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank shopSumBankPaycash)`
    `void` | `setShopSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode shopSumCurrencyPaycash)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### YaRequest

          public YaRequest()

  - ### Method Detail

    - #### getRequestDatetime

          public java.util.Date getRequestDatetime()

    - #### setRequestDatetime

          public void setRequestDatetime(java.util.Date requestDatetime)

    - #### getAction

          public java.lang.String getAction()

    - #### setAction

          public void setAction(java.lang.String action)

    - #### getPgpSignature

          public java.lang.String getPgpSignature()

    - #### setPgpSignature

          public void setPgpSignature(java.lang.String pgpSignature)

    - #### getMd5

          public java.lang.String getMd5()

    - #### setMd5

          public void setMd5(java.lang.String md5)

    - #### getShopId

          public long getShopId()

    - #### setShopId

          public void setShopId(long shopId)

    - #### getShopArticleId

          public long getShopArticleId()

    - #### setShopArticleId

          public void setShopArticleId(long shopArticleId)

    - #### getInvoiceId

          public long getInvoiceId()

    - #### setInvoiceId

          public void setInvoiceId(long invoiceId)

    - #### getCustomerNumber

          public java.lang.String getCustomerNumber()

    - #### setCustomerNumber

          public void setCustomerNumber(java.lang.String customerNumber)

    - #### getOrderCreatedDatetime

          public java.util.Date getOrderCreatedDatetime()

    - #### setOrderCreatedDatetime

          public void setOrderCreatedDatetime(java.util.Date orderCreatedDatetime)

    - #### getOrderSumAmount

          public ru.bitel.common.util.BGMoney getOrderSumAmount()

    - #### setOrderSumAmount

          public void setOrderSumAmount(ru.bitel.common.util.BGMoney orderSumAmount)

    - #### getOrderSumCurrencyPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode getOrderSumCurrencyPaycash()

    - #### setOrderSumCurrencyPaycash

          public void setOrderSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode orderSumCurrencyPaycash)

    - #### getOrderSumBankPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank getOrderSumBankPaycash()

    - #### setOrderSumBankPaycash

          public void setOrderSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank orderSumBankPaycash)

    - #### getShopSumAmount

          public ru.bitel.common.util.BGMoney getShopSumAmount()

    - #### setShopSumAmount

          public void setShopSumAmount(ru.bitel.common.util.BGMoney shopSumAmount)

    - #### getShopSumCurrencyPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode getShopSumCurrencyPaycash()

    - #### setShopSumCurrencyPaycash

          public void setShopSumCurrencyPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyCode shopSumCurrencyPaycash)

    - #### getShopSumBankPaycash

          public ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank getShopSumBankPaycash()

    - #### setShopSumBankPaycash

          public void setShopSumBankPaycash(ru.bitel.bgbilling.modules.yamoney.common.CurrencyBank shopSumBankPaycash)

    - #### getPaymentType

          public java.lang.String getPaymentType()

    - #### setPaymentType

          public void setPaymentType(java.lang.String paymentType)

    - #### getPaymentPayerCode

          public java.lang.String getPaymentPayerCode()

    - #### setPaymentPayerCode

          public void setPaymentPayerCode(java.lang.String paymentPayerCode)

    - #### isOrderIsPaid

          public boolean isOrderIsPaid()

    - #### setOrderIsPaid

          public void setOrderIsPaid(boolean orderIsPaid)

    - #### getPaymentDateTime

          public java.util.Date getPaymentDateTime()

    - #### setPaymentDateTime

          public void setPaymentDateTime(java.util.Date paymentDateTime)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRawRequest

          public java.lang.String getRawRequest()

    - #### setRawRequest

          public void setRawRequest(java.lang.String rawRequest)